var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import classnames from 'classnames';
import Tooltip from '@mui/material/Tooltip';
import { useStyles } from './styles';
export var BasicCommentButton = React.forwardRef(function (_a, ref) {
    var children = _a.children, tooltipTitle = _a.tooltipTitle, Icon = _a.icon, onClick = _a.onClick, className = _a.className, restProps = __rest(_a, ["children", "tooltipTitle", "icon", "onClick", "className"]);
    var styles = useStyles();
    return (React.createElement(Tooltip, { title: tooltipTitle },
        React.createElement("div", __assign({ ref: ref, className: classnames(styles.root, className), onClick: onClick }, restProps),
            React.createElement(Icon, { className: styles.icon }),
            children)));
});
BasicCommentButton.displayName = 'BasicCommentButton';
